Void a payment

Void an existing payment.

Void a bill payment that has started processing and cannot be canceled (with POST /v3/payments/{paymentId}/cancel). You can attempt to void payments made both with BILL (online) and outside BILL (offline).

Void a payment made with BILL (online)

In your /POST /v3/payments/{paymentId}/void request:

  • Set paymentId as the BILL-generated ID of the payment. The value begins with stp.
  • Set type as the void payment request type
  • Set reason as the reason for voiding the payment

See Can I cancel or void a Payables payment? in the BILL Help Center to learn about the BILL void payment process and timing in the production environment.

Path Params
string
required
length ≥ 1

BILL-generated ID of the payment. The value begins with stp.

Body Params
string
enum
required

Void payment request type

Allowed:
string
required
length ≤ 4000

Void payment request reason

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json